classification
Title: IDLE: Fix deletion of custom themes and key bindings
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2016-06-07 01:40 by terry.reedy, last changed 2017-06-20 20:19 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
idle_delete_current_theme.patch serhiy.storchaka, 2016-06-07 06:59 review
Messages (6)
msg267580 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-07 01:40
Open IDLE by running from console or importing idlelib.idle in interactive Python window.  In the IDLE Preferences dialog, create a new custom theme or key set.  [Apply] or close with [OK].  Reopen, if necessary, select the new custom set as current, select Delete, and Apply or close.  IDLE will delete the set and then try to read it.  A warning message will appear in the console/interpreter for each item in the set that is had to replace with the default value.

IDLE should replace the deleted set with one of the builtins before reading, or even better, allow and require deletion of something that is not current.
msg267601 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-07 06:59
Proposed patch should fix this issue.
msg268518 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-14 04:54
New changeset 5c8cddc4a8ee by Terry Jan Reedy in branch '2.7':
Issue #27245: IDLE: Cleanly delete custom themes and key bindings.
https://hg.python.org/cpython/rev/5c8cddc4a8ee

New changeset 438359d00a83 by Terry Jan Reedy in branch '3.5':
Issue #27245: IDLE: Cleanly delete custom themes and key bindings.
https://hg.python.org/cpython/rev/438359d00a83

New changeset 7948633608d5 by Terry Jan Reedy in branch 'default':
Issue #27245: temporary rename for merge.
https://hg.python.org/cpython/rev/7948633608d5
msg268519 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-14 04:55
New changeset 3ac9e7466d8b by Terry Jan Reedy in branch 'default':
Issue #27245: revert temporary rename
https://hg.python.org/cpython/rev/3ac9e7466d8b
msg268521 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-14 05:00
Patch amounts to putting 3 lines of apply inline and moving the first up to where is it needed.  Serhiy, thanks for discovering the simple fix.  It worked for me so I pushed it.  I backported because the cascade of error messages is nasty when visible and because the forward merge was easy enough now that I know about the case clash problem.
msg296483 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-20 20:19
In #4765, which I just closed as a duplicate, G Polo had same idea of applying change at top.
https://bugs.python.org/file14645/removekeybindingswhiletheyexist.diff
History
Date User Action Args
2017-06-20 20:19:28terry.reedylinkissue4765 superseder
2017-06-20 20:19:08terry.reedysetassignee: terry.reedy
messages: + msg296483
2016-06-14 05:00:40terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg268521

stage: patch review -> resolved
2016-06-14 04:55:27python-devsetmessages: + msg268519
2016-06-14 04:54:06python-devsetnosy: + python-dev
messages: + msg268518
2016-06-11 04:40:05serhiy.storchakalinkissue27173 dependencies
2016-06-07 06:59:47serhiy.storchakasetfiles: + idle_delete_current_theme.patch

components: + IDLE
versions: + Python 2.7, Python 3.5
keywords: + patch
nosy: + serhiy.storchaka

messages: + msg267601
stage: test needed -> patch review
2016-06-07 01:40:32terry.reedycreate